Subject: Re: [GROW] Brian Haberman's No Objection on draft-ietf-grow-filtering-threats-07: (with COMMENT)

From: Camilo Cardona <[email-masked]>
Date: Tue, 15 Sep 2015 13:33:05 +0200

Hello Brian,

Thanks for your feedback, comments inline.

Camilo Cardona

> On 18 Aug 2015, at 20:18, Brian Haberman <[email-masked]> wrote:
> 
> Brian Haberman has entered the following ballot position for
> draft-ietf-grow-filtering-threats-07: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-grow-filtering-threats/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> I have no issues with the publication of this document.  The following
> are simply voiced for your consideration...
> 
> 1. I think the comment in 3.2 about how difficult it is to get routing
> policies from external entities is undersold.  Most organizations won't
> share that information since it might reveal business arrangements they
> consider proprietary.  I would suggest being explicit in the cause for
> the difficulty in obtaining such information.

<JCC> Yes, We could change section 3.2 to something like this:

OLD: However, the information required for this operation is difficult to obtain, due to the distributed nature of BGP policies.

NEW: However, the information required for this operation is difficult to obtain since it is frequently considered confidential.

> 
> 2. Section 4.2.1 seems to be hinting at a UI deficiency in routing
> platforms in that a route filter installed in the control plane should
> automatically result in an ACL installed in the forwarding plane.  That
> sounds like an intriguing capability.

<JCC> Automatically accounting and monitoring these flows could indeed provide good information. This capability would actually be useful for many other situations than the ones described in the draft.

> 
> 3. All of the approaches described in section 4 seem littered with
> caveats on their effectiveness. Is there any definitive data on the
> effectiveness of these techniques?
> 

<JCC> We attempted to document the limitations to all techniques. However, we do not have data on their effectiveness, since most of the caveats are business driven. 

> 
> _______________________________________________
> GROW mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/grow